
#ifndef KRB_BOX_H
#define KRB_BOX_H

#include <krb5.h>

#define INPUT_BUF_SIZE 1024
#define SERVICE_NAME "host"
#define AUTH_PORT 12345
#define NET_TO 2000000
#define MAX_REQUESTS 10

#ifndef MAXHOSTNAMELEN
#define MAXHOSTNAMELEN 1024
#endif


#define DEFAULT_PRINCIPAL "pasis@PDL.CMU.EDU"

int krb_init_keycache_srv(void);
octet_string* krb_get_sh_key_srv(char* princ, u_int client, u_int server);
int krb_init_keycache_cli(void);
octet_string* krb_get_sh_key_cli(char* princ, u_int client, u_int server);
int krb_shutdown_cli(void);
int krb_shutdown_srv(void);

#endif
