#!/usr/bin/perl

$METADATA_CONFIG="/h/mabdelm/pasis-qu-release/src/tools/scripts/pasis_md_fe.cfg";
$CONTROLLER_CONFIG="/h/mabdelm/pasis-qu-release/src/tools/scripts/cw_controller-concurrency.config";
$CLIENT_READ_COMMAND="/h/mabdelm/pasis-optimized/src/benchmarks/pasisio_md_bench -c CLIENTID /h/mabdelm/pasis/experiments/sosp05-final/concurrency/pasisio_md_bench.config.reader";

$num_runs = 4;
@num_contention = (0, 2, 3, 4, 5);


foreach $i (@num_contention) {
    for (my $j = 2; $j <= $num_runs + 1; $j++) {

        $experiment_name = "$i-contention-run-$j";
        print "Running experiment $experiment_name\n";

        `./cw_controller.pl -n $experiment_name -m $METADATA_CONFIG -c $CONTROLLER_CONFIG -w $i -r "$CLIENT_READ_COMMAND"`;
        }
}
