#include <stdio.h>
#include "cred_cache.h"

int
main(argc, argv)
    int argc;
    char *argv[];
{

  struct hash_entry * gotten;

  hash_init();
  hash_item("foo", "bar", "baz", 0, 0, NULL);
  gotten = hash_get("foo", "bar", "baz");
  if (!gotten)
    printf("null\n");
  else
    printf("%s %s %s\n", gotten->princ, gotten->client, gotten->server);

  hash_item("foo", "bar", "baz", 1, 0, NULL);
  gotten = hash_nextexp();
  printf("%s %s %s\n", gotten->princ, gotten->client, gotten->server);
  hash_item("foo2", "bar", "baz", 14, 0, NULL);
  hash_item("foo3", "bar", "baz", 0, 0, NULL);

  gotten = hash_get("foo", "bar", "baz");
 
  gotten = hash_nextexp();
  printf("%s %s %s\n", gotten->princ, gotten->client, gotten->server);
  printf("done\n");
}

